package com.lantone.qc.dbanaly.facade.wenfuyi;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import lombok.extern.slf4j.Slf4j;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description: xml解析工具
 * @author: rengb
 * @time: 2020/3/28 14:23
 */
@Slf4j
public class WenfuyiXmlUtil {

    public static Map<String, String> xmlToMap(String xml) {
        Map<String, String> map = Maps.newHashMap();
        try {
            Document doc = DocumentHelper.parseText(xml);
            Element root = (Element) doc.selectSingleNode("//m_wsjl_xml/list");
            findElement(root).forEach(i -> {
                map.put(i.element("mc").getTextTrim(), i.element("nr").getTextTrim());
            });
        } catch (DocumentException e) {
            e.printStackTrace();
        }
        return map;
    }

    public static Map<String, String> behospitalInfoXmlToMap(String xml) {

        Map<String, String> map = Maps.newHashMap();

        try {
            xml = xml.replace("<?xml version=\"1.0\" encoding=\"UTF-8\"?>", "|<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
            String[] a = xml.split("\\|");
            for (String s : a) {
                if (StringUtil.isNotBlank(s)) {
                    Document doc = DocumentHelper.parseText(s);
                    Element root = (Element) doc.selectSingleNode("//m_wsjl_xml/list");
                    findElement(root).forEach(i -> {
                        map.put(i.element("mc").getTextTrim(), i.element("nr").getTextTrim());
                    });
                }
            }

        } catch (DocumentException e) {
            e.printStackTrace();
        }
        return map;
    }

    public static List<Element> findElement(Element element) {
        List<Element> ret = Lists.newArrayList();
        ((List<Element>) (element.elements())).forEach(i -> {
            ret.add(i);
        });
        return ret;
    }
}