package com.lantone.qc.kernel.catalogue.deathcasediscuss;

import com.lantone.qc.dbanaly.util.KernelConstants;
import com.lantone.qc.dbanaly.util.SpecialStorageUtil;
import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DeathCaseDiscussDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAC03146
 * @Description :  死亡病例讨论未由科主任主持讨论
 * @Author :kwz
 * @Date: 2021-08-23 15:38
 */
@Component
public class DEAC03146 extends QCCatalogue {
    /**
     * 死亡病例讨论记录存在       【主任人】为科室主任姓名
     * @param inputInfo
     * @param outputInfo
     */

    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        DeathCaseDiscussDoc deathCaseDiscussDoc = inputInfo.getDeathCaseDiscussDoc();
        if(deathCaseDiscussDoc==null){
            status.set("0");
            return;
        }
        Map<String, String> positionMap= Content.positionMap;
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        String directorName ="";
        if (firstPageRecordDoc != null) {
            directorName = firstPageRecordDoc.getStructureMap().get("科主任");
        }
        String recordDoctor = deathCaseDiscussDoc.getStructureMap().get("讨论主持人");
        if(StringUtil.isBlank(recordDoctor)){
            return;
        }
        if(StringUtil.isNotBlank(directorName)){
            if(recordDoctor.equals(directorName)){
                status.set("0");
                return;
            }
        }
        if (positionMap.containsKey(recordDoctor)) {
            status.set("0");
            return;
        }
    }
}