package com.lantone.qc.kernel.catalogue.difficultcasediscuss;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DifficultCaseDiscussDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : DIF03148
 * @Description : 	疑难病例讨论未由科主任组织讨论
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:2
 */
@Component
public class DIF03148 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        /**
         * 疑难病例讨论主任人为科主任姓名      【疑难病例讨论记录】主持人填写处是科主任姓名
         */
        List<DifficultCaseDiscussDoc> difficultCaseDiscussDocs = inputInfo.getDifficultCaseDiscussDocs();
        if (ListUtil.isEmpty(difficultCaseDiscussDocs)) {
            status.set("0");
            return;
        }
        Map<String, String> positionMap = Content.positionMap;
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        String directorName ="";
        if (firstPageRecordDoc != null) {
            directorName = firstPageRecordDoc.getStructureMap().get("科主任");
        }
        for (DifficultCaseDiscussDoc dcdd : difficultCaseDiscussDocs) {
            Map<String, String> dcddStructureMap = dcdd.getStructureMap();
            String diisName = dcddStructureMap.get("主持人");
            if (CatalogueUtil.isEmpty(diisName)) {
                return;
            }
            if(StringUtil.isNotBlank(directorName)){
                if(diisName.equals(directorName)){
                    status.set("0");
                    return;
                }
            }
            if (positionMap.containsKey(diisName)) {
                status.set("0");
                return;
            }
        }

    }
}