package com.lantone.qc.kernel.catalogue.hospital.beilun.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.doc.VTEGradeDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @ClassName : BEH03095
 * @Description : 入院记录的VTE评分时间早于VTE评分表生成时间
 * @Author : sxl
 * @Date: 2021-03-10 10:08
 */
@Component
public class BEH03093 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        //1.判断是否有VTE评分
        VTEGradeDoc vteGradeDoc = inputInfo.getVteGradeDoc();
        if(vteGradeDoc!= null&& StringUtil.isNotBlank(vteGradeDoc.getStructureMap().get("评估日期")))
        {
            //2.获取入院记录时间
            BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
            if(beHospitalizedDoc!=null&&StringUtil.isNotBlank(beHospitalizedDoc.getStructureMap().get("入院日期")))
            {
                String beHospitalizeTime =  beHospitalizedDoc.getStructureMap().get("入院日期");
                //3.获取vte评分时间
                String vteGradeTime = vteGradeDoc.getStructureMap().get("评估日期");
                if(CatalogueUtil.compareDate(beHospitalizeTime, vteGradeTime,1))
                {
                    status.set("-1");
                    return;
                }
            }
        }
    }
}