package com.lantone.qc.kernel.catalogue.hospital.beilun.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.ADLGradeDoc;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @ClassName : BEH03095
 * @Description : ADL评分未在病程记录之前完成
 * @Author : sxl
 * @Date: 2021-03-10 10:08
 */
@Component
public class BEH03095 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        //1.判断是否有adl评分
        ADLGradeDoc adlGradeDoc = inputInfo.getAdlGradeDoc();
        if(adlGradeDoc!= null&& StringUtil.isNotBlank(adlGradeDoc.getStructureMap().get(Content.adl_grade_time)))
        {
            //2.获取首次病程记录时间
            FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
            if(firstCourseRecordDoc!=null&&StringUtil.isNotBlank(firstCourseRecordDoc.getStructureMap().get("病历日期")))
            {
                String firstCourseRecorTime =  firstCourseRecordDoc.getStructureMap().get("病历日期");
                //3.获取adl评分时间
                String adlGradeTime = adlGradeDoc.getStructureMap().get(Content.adl_grade_time);
                if(CatalogueUtil.compareDate(firstCourseRecorTime, adlGradeTime,1))
                {
                    status.set("-1");
                    return;
                }
            }
        }
    }
}