package com.lantone.qc.kernel.catalogue.hospital.taizhou.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DoctorAdviceDoc;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 手术患者无手术记录
 * @author: Mark
 * @time: 2020/04/04 11:22
 */
@Component
public class OPE0322 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        //先判断医嘱里有无手术
        List<DoctorAdviceDoc> doctorAdviceDocs = inputInfo.getDoctorAdviceDocs();
        if (doctorAdviceDocs.size() == 0) {
            return;
        }
        long cou = inputInfo.getOperationDocs().stream().map(OperationDoc::getOperationRecordDoc).filter(i -> i != null).count();
        int i = 0, j = 0;
        for (DoctorAdviceDoc dad : doctorAdviceDocs) {
            String name = dad.getStructureMap().get("医嘱项目名称");
            if (name.contains("非手术") || name.contains("手术室") || name.contains("静脉穿刺置管术") || name.contains("前一次") || (name.contains("手术") && name.contains("卫生材料"))) {
                continue;
            }
            //停掉的手术
            if ((name.contains("手术") && name.contains("取消")) || (name.contains("停") && name.contains("手术"))) {
                i++;
            }
            //拟定手术
            if (name.contains("手术") && !name.contains("停") && !name.contains("取消")) {
                j++;
            }
        }
        if (i != j && cou == 0) {
            status.set("-1");
        }
//        for (DoctorAdviceDoc dad : doctorAdviceDocs) {
//            String name = dad.getStructureMap().get("医嘱项目名称");
//            if (name.contains("非手术") || name.contains("手术室") || (name.contains("手术") && name.contains("取消")) || (name.contains("暂停") && name.contains("手术")) || name.contains("静脉穿刺置管术") || name.startsWith("停") || name.contains("前一次")) {
//                continue;
//            }
//            if (name.contains("手术") && cou == 0) {
//                status.set("-1");
//            }
//        }
        /*long cou = inputInfo.getOperationDocs().stream().map(i ->i.getOperationRecordDoc()).filter(i -> i != null).count();
        if (cou == 0) {
            status.set("-1");
        }*/
    }

}