package com.lantone.qc.kernel.catalogue.invasiveoperation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.InvasiveOperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : INVA03166
 * @Description : 患者一般情况未填写
 * @Author : wsy
 * @Date: 2021-01-07 13:39
 */
@Component
public class INVA03166 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<InvasiveOperationDoc> invasiveOperationDocs = inputInfo.getInvasiveOperationDocs();
        if(ListUtil.isEmpty(invasiveOperationDocs)||invasiveOperationDocs.size()==0){
                return;
        }
        for (InvasiveOperationDoc invasiveOperationDoc : invasiveOperationDocs) {
            String generalSituation = invasiveOperationDoc.getStructureMap().get("一般情况");
            if(StringUtil.isBlank(generalSituation)){
                status.set("-1");
                return;
            }
        }
    }

}
