package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description: 出院随访指导未填写
 * @author: wsy
 * @time: 2021/6/23 15:15
 */
@Component
public class LEA03130 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        LeaveHospitalDoc leaveHospitalDoc = inputInfo.getLeaveHospitalDoc();
        if (leaveHospitalDoc == null) {
            return;
        }
        Map<String, String> structureMap = inputInfo.getLeaveHospitalDoc().getStructureMap();
        if (structureMap != null && structureMap.containsKey("7、随访指导")) {
            if (CatalogueUtil.isEmpty(structureMap.get("7、随访指导"))) {
                status.set("-1");
                return;
            }
        }
    }
}