package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description: 出院记录的住院经过不完善
 * @author: wsy
 * @time: 2021/6/23 15:15
 */
@Component
public class LEA03131 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        LeaveHospitalDoc leaveHospitalDoc = inputInfo.getLeaveHospitalDoc();
        if (leaveHospitalDoc == null) {
            return;
        }
        Map<String, String> structureMap = inputInfo.getLeaveHospitalDoc().getStructureMap();
        if (structureMap != null) {
            String curePass = structureMap.get("诊治经过");
            if (CatalogueUtil.isEmpty(curePass)) {
                return;
            }
            if (!curePass.contains("查") && !curePass.contains("检验")) {
                status.set("-1");
                info.set("住院经过缺少检验检查");
                return;
            }

            if (!curePass.contains("治疗")) {
                status.set("-1");
                info.set("住院经过缺少诊治经过");
                return;
            }

        }
    }
}