package com.lantone.qc.kernel.catalogue.medicalwriting;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.InformedConsentDoc;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : MEDI02889
 * @Description : 缺授权知情同意书
 * @Author : 胡敬
 * @Date: 2020-04-21 18:54
 */
@Component
public class MEDI02889 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        List<InformedConsentDoc> informedConsentDocList = inputInfo.getInformedConsentDoc();
        if (informedConsentDocList.size() == 0) {
            status.set("0");
            return;
        }

        long count = informedConsentDocList.stream().filter(i -> i.getStructureMap() != null && "授权知情同意书".equals(i.getStructureMap().get("标题"))).count();
        if (count > 0) {
            status.set("0");
            return;
        }
    }
}