package com.lantone.qc.kernel.catalogue.medicalwriting;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.InformedConsentDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

/**
 * @ClassName : MEDI03169
 * @Description :缺评定表
 * @Author : wangsy
 * @Date: 2021-08-30 16:32
 */
@Component
public class MEDI03169 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        List<InformedConsentDoc> informedConsentDocs = inputInfo.getInformedConsentDoc();
        if (ListUtil.isEmpty(informedConsentDocs)) {
            status.set("-1");
            return;
        }
        boolean flag = true;
        for (InformedConsentDoc informedConsentDoc : informedConsentDocs) {
            if (informedConsentDoc.getStructureMap() == null) {
                continue;
            }
            if (StringUtil.isNotEmpty(informedConsentDoc.getStructureMap().get("标题"))) {
                if ("康复评定表".equals(informedConsentDoc.getStructureMap().get("标题"))) {
                    flag = false;
                    break;
                }
            }
        }

        if (flag) {
            status.set("-1");
            return;
        }
    }
}