package com.lantone.qc.kernel.catalogue.preoperativediscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 术前讨论记录无麻醉方式
 * @author: rengb
 * @time: 2020/3/23 15:09
 */
@Component
public class PRE0331 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
        if(operationDocs == null || operationDocs.size()== 0){
            return;
        }
        String key = getKeyByHospitalId();
        for (OperationDoc operationDoc : operationDocs) {
            if (operationDoc.getPreoperativeDiscussionDoc() != null
                    && StringUtil.isEmpty(operationDoc.getPreoperativeDiscussionDoc().getStructureMap().get(key))) {
                status.set("-1");
                return;
            }
        }
    }

    private String getKeyByHospitalId() {
        switch (Content.hospital_Id)
        {
            case "2":
                return "麻醉方式";
            default:
                return "拟施麻醉方式";
        }
    }
}