package com.lantone.qc.kernel.catalogue.preoperativediscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.model.doc.operation.PreoperativeDiscussionDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 术前讨论及小结无简要病情
 * @author: rengb
 * @time: 2020/3/23 15:09
 */
@Component
public class PRE0575 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo){
        status.set("0");
        List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
        if(ListUtil.isEmpty(operationDocs)){
            return;
        }
        for (OperationDoc operationDoc : operationDocs) {
            PreoperativeDiscussionDoc preoperativeDiscussionDoc = operationDoc.getPreoperativeDiscussionDoc();
            if (preoperativeDiscussionDoc != null) {
                Map<String, String> structureMap = preoperativeDiscussionDoc.getStructureMap();
                if (structureMap == null) {
                    continue;
                }
                String preoperativeDiagnosis = structureMap.get("简要病情");
                String comeThrough = structureMap.get("发病经过");
                if (StringUtil.isBlank(preoperativeDiagnosis)&&StringUtil.isBlank(comeThrough)) {
                    status.set("-1");
                    return;
                }

            }
        }
    }

}