package com.lantone.qc.trans.ningbozhongyi;

import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.AnesthesiaRecordDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @ClassName: AnesthesiaRecordDocTrans
 * @Description: 手麻记录解析
 * @Author songxl
 * @Date 2021/3/19
 * @Version 1.0
 */
@Slf4j
public class AnesthesiaRecordDocTrans extends ModelDocTrans {
    @Override
    public List<AnesthesiaRecordDoc> extract(MedrecVo medrecVo) {
        List<AnesthesiaRecordDoc> anesList = Lists.newArrayList();
        try {
            //1.获取mrqc medrecVo content数据
            List<String> anesthesiaList = (List<String>)medrecVo.getContent().get("content");
            //2.装载到AnesthesiaRecordDoc
            anesthesiaList.forEach(anesthesiaStr->{
                AnesthesiaRecordDoc anesthesiaTemp =JSONObject.parseObject
                        (anesthesiaStr, AnesthesiaRecordDoc.class);
                anesList.add(anesthesiaTemp);
            });
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return anesList;
    }
}
