package com.lantone.qc.trans.ningbozhongyi.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/17 14:27
 */
@Slf4j
public class NingBoZhongYiDeathCaseDiscussHtmlAnalysis implements NingBoZhongYiHtmlAnalysis {

    private String modeId = "3";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
            Element bigDivElement = doc.selectFirst("body").child(0);
            NingBoZhongYiHtmlAnalysisUtil.tableStyle1InsertMap(doc.getElementById("table1"), map);
            /*bigDivElement.child(0).lastElementSibling().remove();
            map.put("医生签名时间", NingBoZhongYiHtmlAnalysisUtil.elementLayer1ToStr(bigDivElement.child(0).lastElementSibling(), false));
            bigDivElement.child(0).lastElementSibling().remove();*/

            String text = NingBoZhongYiHtmlAnalysisUtil.blockDivToStr(bigDivElement, false).replace("病情变化、诊治、抢救情况", "");
            List<String> titles = Lists.newArrayList("姓名", "床号", "住院号", "性别", "年龄", "婚姻", "地址",
                    "入院日期", "死亡时间", "入院诊断", "讨论时间", "讨论主持人", "诊疗经过", "参加者",
                    "发言记录（包括病史摘要、治疗抢救过程、讨论目的、讨论意见及结论）", "病史摘要(经管医师汇报病史)",
                    "讨论目的", "讨论意见", "主持人小结", "死亡原因", "死亡诊断", "科主任（签名）", "记录者（签名）");
            titles = CommonAnalysisUtil.sortTitles(titles, text);
            CommonAnalysisUtil.cutByTitlesNoColon(text, titles, 0, map);
            NingBoZhongYiHtmlAnalysisUtil.mapValueRemoveStartColon(map);
            map.put("记录时间", map.get("记录者（签名）").replace("—", ""));
            map.put("记录者（签名）", map.get("记录者（签名）").replace("时间", ""));
            map.put("讨论意见", map.get("讨论意见").replace("讨论意见", ""));
            map.put("主持人小结", map.get("主持人小结").replace("主持人小结", ""));
            NingBoZhongYiHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

}