package com.lantone.qc.trans.wenfuyi.util;

import com.google.common.collect.Maps;
import com.lantone.qc.pub.Content;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.select.Elements;

import java.util.Map;

/**
 * @ClassName:
 * @Description: ADL评分HTML解析
 * @Author songxl
 * @Date 2021/3/9
 * @Version 1.0
 */
@Slf4j
public class ADLGradeHtmlAnalysis implements WenFuYiHtmlAnalysis {
    private String modeId = "0";//模块id待定
    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];

            Document doc = Jsoup.parse(html);
            //评估日期
            Elements spanES = doc.getElementById("table2").nextElementSiblings().get(1).getElementsByTag("span");
            String time = spanES.text().split(Content.adl_grade_time)[1]
                    .replaceAll(":","").trim();
            map.put(Content.adl_grade_time,time);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }
}
