package com.lantone.qc.trans.wenfuyi.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/17 14:27
 */
@Slf4j
public class DeathCaseDiscussHtmlAnalysis implements WenFuYiHtmlAnalysis {

    private String modeId = "3";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
            String text = doc.selectFirst("body").children().text();
            List<String> titles = Lists.newArrayList("讨论时间", "讨论地点", "主持人", "病例报告人", "参加人员", "职 业", "单位或现住址",
                    "入院日期", "死亡时间", "死亡诊断", "死亡原因", "具体讨论意见", "主持人小结意见", "主持人(科主任正职)签名",
                    "记录医师", "记录日期");
            CommonAnalysisUtil.extractWardInfo(recTitle,text,map);
            titles = CommonAnalysisUtil.sortTitles(titles, text);
            CommonAnalysisUtil.cutByTitles(text, titles, 0, map);
            WenFuYiHtmlAnalysisUtil.mapValueRemoveStartColon(map);
            WenFuYiHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

}